//+------------------------------------------------------------------+
//|                                              New EAs Highlow.mq4 |
//|                                   vinh.nguyenquang2@gameloft.com |
//|                                                            sando |
//+------------------------------------------------------------------+
#property copyright "vinh.nguyenquang2@gameloft.com"
#property link      "sando"
#define MAGICMA  20050610
//====================parameter===================//
extern double khoangcachpip =100;
extern double dunglo        =100;
extern double chotloi       =100;

extern double solantang     =3;
extern double solangiam     =3;
extern double LotsSize      =1;  
//==============================================//
//+------------------------------------------------------------------+
//| Tinh toan vi tri mo                                              |
//+------------------------------------------------------------------+
int CalculateCurrentOrders(string symbol)
  {
   int buys=0,sells=0;
//----
   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
      if(OrderSymbol()==Symbol() && OrderMagicNumber()==MAGICMA)
        {
         if(OrderType()==OP_BUY)  buys++;
         if(OrderType()==OP_SELL) sells++;
        }
     }
//---- return orders volume
   if(buys>0) return(buys);
   else       return(-sells);
  }
//+------------------------------------------------------------------+
//| Moneymanagement     (Type 3)                                     |
//+------------------------------------------------------------------+
double moneymanagement3()
{
   double LotsSize = 0.1;
   if(OrdersHistoryTotal()>0)
   {
      OrderSelect(OrdersHistoryTotal()-1,SELECT_BY_POS,MODE_HISTORY);
      if(OrderProfit() > 0) 
      {
         if(OrderLots() > LotsSize)
            {
            LotsSize = OrderLots()/solangiam;
            }
         else
            {
            LotsSize = LotsSize;
            }
      }
      else
      {
         LotsSize = OrderLots() * solantang;
      }
   }
   return (NormalizeDouble(LotsSize,2));
}

//+------------------------------------------------------------------+
//| Dieu Kien Mo Giao Dich                                           |
//+------------------------------------------------------------------+
void mogiaodich()
  {
  int res; 
 
   
   //---- Thuc hien lenh ban khi gap dieu kien : be hon highest cua 5 bar dau tien 10pips
   if(Close[1]<Open[2])  
     {
      res=OrderSend(Symbol(),OP_SELL,moneymanagement3(),Bid,3,Close[1],Close[2],"",MAGICMA,0,Red);
      return;
     }
     
   if(Open[1]>Open[2])  
     {
       // test moneymanagement type 2
      res=OrderSend(Symbol(),OP_BUY,moneymanagement3(),Ask,3,Open[1],Close[2],"",MAGICMA,0,Blue);
      return;
     }
 }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
void start()
   {
//---- check for history and trading
   if(Bars<100 || IsTradeAllowed()==false) return;
//---- calculate open orders by current symbol
   if(CalculateCurrentOrders(Symbol())==0) mogiaodich();
//   else                                    donggiaodich();
//----
  }
//+------------------------------------------------------------------+